{

    "dynamic":"strict",
    "properties": {
        "is_online":{"type":"boolean"},
        "id":{"type":"long"},
        "article_id":{"type":"long"},
        "smart_rank":{"type":"long"},
        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //专栏标题
        "content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //专栏内容
        // 相关推荐,得分
        "recommend_score": {"type": "double"},
        "tag_ids":{"type":"long"},
        "tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //tags
        // 新标签
        "fresh_tag_ids":{"type":"long"},
        "fresh_tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //tags

        "user":{
            "type":"object",
            "properties":{
                "id":{"type":"long"}
            }
        },
        "ask": {
            "type": "string",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"

        },
        //专栏副标题
        "title_pre": {
            "type": "string",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"
        },
        "content_pre": {
            "type": "string",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"
        },
        "content_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
        "title_keyword":{"type":"string","index":"not_analyzed"}
    }
}

